//+------------------------------------------------------------------+
//|                                                          tg1.mq4 |
//|                        Copyright 2016, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property strict
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Lime
//--- input parameters
extern int Period_=10;
double t;
//--- buffers
double ExtMapBuffer1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   t=double(Period_);
   SetIndexBuffer(0,ExtMapBuffer1);
   IndicatorDigits(Digits+1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    int counted_bars=IndicatorCounted(), limit;
    double tg;
    if(counted_bars>0)
      counted_bars--;
   limit=Bars-counted_bars-1;
   for(int i=limit;i>=0;i--)
   {
   tg=(Close[i]-iMA(NULL,0,Period_,0,MODE_EMA,PRICE_CLOSE,i))/t;  
   ExtMapBuffer1[i]=tg;
   }
   return(0);
  }
//+------------------------------------------------------------------+
